restorecond(8)

NAME
restorecond - daemon that watches for file creation and then sets the default SELinux file context

SYNOPSIS
restorecond [-d] [-h] [-f restorecond_file ] [-u] [-v]

DESCRIPTION
This manual page describes the restorecond program.

This daemon uses inotify to watch files listed in the /etc/selinux/restorecond.conf, when they are created, this daemon will make sure they have the correct file context associated with the policy.

OPTIONS

-d  Turns on debugging mode. Application will stay in the foreground and lots of debugs messages start printing.

-h  Print usage statement.

-f restorecond_file
    Use alternative restorecond.conf file.

-u  Turns on user mode. Runs restorecond in the user session and reads /etc/selinux/restorecond_user.conf. Uses dbus to make sure only one restorecond is running per user session.

-v  Turns on verbose debugging. (Report missing files)

AUTHOR
This man page and program was written by Dan Walsh <dwalsh@redhat.com>.

FILES
/etc/selinux/restorecond.conf /etc/selinux/restorecond_user.conf

SEE ALSO
restorecon(8),